<h2 class="container text-center">Hierarquias</h2>

<div class="container">
  <form novalidate (ngSubmit)="filtrar()" [formGroup]="relatorioForm">
    <div class="form-row">
      <div class="form-group col-md-3">
        <label for="diretoria">Diretoria</label>
        <select id="diretoria" (change)="FillSuperintendencia($event); SetInitialValue('superintendencia', '')" class="form-control"
          formControlName="diretoria">
          <option value="">--Escolha a Diretoria--</option>
          <option *ngFor="let diretoria of (allDiretorias | async)" [value]="diretoria.diretoria">
            {{diretoria.diretoria}}</option>
        </select>
      </div>
      <div class="form-group col-md-3">
        <label for="superintendencia">Superintendência</label>
        <select id="superintendencia" (change)="FillGerencias($event); SetInitialValue('gerencia', '')" class="form-control"
          formControlName="superintendencia">
          <option value="">--Escolha a Superintência--</option>
          <option *ngFor="let supte of (allSuperintendencias | async)" [value]="supte.superintendencia">
            {{supte.superintendencia}}</option>
        </select>
      </div>
      <div class="form-group col-md-3">
        <label for="gerencia">Gerência</label>
        <select id="gerencia" (change)="FillCoordenacoes($event); SetInitialValue('coordenacao', '')" class="form-control" formControlName="gerencia">
          <option value="">--Escolha a Gerência--</option>
          <option *ngFor="let gerencia of (allGerencias | async)" [value]="gerencia.gerencia">
            {{gerencia.gerencia}}</option>
        </select>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-3">
        <label for="coordenacao">Coordenação</label>
        <select id="coordenacao" (change)="FillUsuarios($event); SetInitialValue('usuario', '')" class="form-control" formControlName="coordenacao">
          <option value="">--Escolha a Coordenação--</option>
          <option *ngFor="let coordenacao of (allCoordenacoes | async)" [value]="coordenacao.coordenacao">
            {{coordenacao.coordenacao}}</option>
        </select>
      </div>
      <div class="form-group col-md-3">
        <label for="usuario">Usuário</label>
        <select id="usuario" (change)="GetSelectedUsuario($event)" class="form-control" formControlName="usuario">
          <option value="">--Escolha o Usuário--</option>
          <option *ngFor="let usuario of (allUsuarios | async)" [value]="usuario.usuario">
            {{usuario.usuario}}</option>
        </select>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-3">
        <label for="dataContabilInicio">Data Contábil Inicio</label>
        <input type="text" placeholder="00/00/0000" class="form-control" id="dataContabilInicio"
          formControlName="dataContabilInicio" bsDatepicker>
      </div>
      <div class="form-group col-md-3">
        <label for="dataContabilFim">Data Contábil Fim</label>
        <input type="text" placeholder="00/00/0000" class="form-control" id="dataContabilFim"
          formControlName="dataContabilFim" bsDatepicker>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-3">
        <label for="dataEmissaoInicio">Data Emissão Inicio</label>
        <input type="text" placeholder="00/00/0000" class="form-control" id="dataEmissaoInicio"
          formControlName="dataEmissaoInicio" bsDatepicker>
      </div>
      <div class="form-group col-md-3">
        <label for="dataEmissaoFim">Data Emissão Fim</label>
        <input type="text" placeholder="00/00/0000" class="form-control" id="dataEmissaoFim"
          formControlName="dataEmissaoFim" bsDatepicker>
      </div>
    </div>


    <button type="submit" class="btn btn-primary">Pesquisar</button>

    <!-- Inicio: Informação o estado de validação do form-->
    <!-- <div class="form-group">
      <div class="col-md-4 col-md-offset-2">
        <p>
          Formulario valido: {{ relatorioForm.valid }}<br>
          Formulario Tocado: {{ relatorioForm.touched }}<br>
          Formulario Sujo: {{ relatorioForm.dirty }}<br>
          Formulario: {{ formResult }}<br />
          ValoresParaFiltro: {{diretoria}} - {{superintendencia}} - {{gerencia}} - {{coordenacao}}
          - {{usuario}}
        </p>
      </div>
    </div> -->
    <!--Fim: Informação o estado de validação do form -->

  </form>
</div>
